%define upstream_name    Getopt-Usaginator
%define upstream_version 0.0012

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Conjure up a usage function for your applications
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Getopt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Spec)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Package::Pkg)
BuildRequires: perl(Test::Most)
BuildArch: noarch

%{?perl_default_filter}

%description
Getopt::Usaginator is a tool for creating a handy usage subroutine for
commandline applications

It does not do any option parsing, but is best paired with the Getopt::Long
manpage or any of the other myriad of option parsers

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.1.200-10.mga8
+ Revision: 1494734
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.1.200-9.mga7
+ Revision: 1268282
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.1.200-8.mga6
+ Revision: 1027932
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.1.200-7.mga6
+ Revision: 944053
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.200-6.mga5
+ Revision: 742155
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.1.200-5.mga5
+ Revision: 732187
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.1.200-4.mga5
+ Revision: 684866
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1.200-3.mga4
+ Revision: 511829
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.1.200-2.mga3
+ Revision: 367745
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 28 2011 jquelin <jquelin> 0.1.200-1.mga1
+ Revision: 42790
- imported package perl-Getopt-Usaginator


* Fri Jan 28 2011 cpan2dist 0.0012-1mdv
- initial mdv release, generated with cpan2dist
